curl --request GET \
--url https://api.emailr.dev/v1/emails \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "<string>",
"from_email": "jsmith@example.com",
"to_email": "jsmith@example.com",
"subject": "<string>",
"html_content": "<string>",
"text_content": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "sent",
"ses_message_id": "<string>",
"broadcast_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"opened_at": "2023-11-07T05:31:56Z",
"clicked_at": "2023-11-07T05:31:56Z",
"bounced_at": "2023-11-07T05:31:56Z",
"complained_at": "2023-11-07T05:31:56Z",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_email_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachments": [
"<unknown>"
],
"clicked_links": [
"<unknown>"
],
"opens": [
"<unknown>"
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"pages": 123
}
}Get a paginated list of sent emails
curl --request GET \
--url https://api.emailr.dev/v1/emails \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "<string>",
"from_email": "jsmith@example.com",
"to_email": "jsmith@example.com",
"subject": "<string>",
"html_content": "<string>",
"text_content": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "sent",
"ses_message_id": "<string>",
"broadcast_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"opened_at": "2023-11-07T05:31:56Z",
"clicked_at": "2023-11-07T05:31:56Z",
"bounced_at": "2023-11-07T05:31:56Z",
"complained_at": "2023-11-07T05:31:56Z",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_email_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachments": [
"<unknown>"
],
"clicked_links": [
"<unknown>"
],
"opens": [
"<unknown>"
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"pages": 123
}
}API key authentication. Use your API key as the bearer token.